Package org.eclipse.graphiti.mm

# Interface GraphicsAlgorithmContainer

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Subinterfaces:
  `AbstractText`, `AdvancedAnchor`, `Anchor`, `AnchorContainer`, `BoxRelativeAnchor`, `ChopboxAnchor`, `CompositeConnection`, `Connection`, `ConnectionDecorator`, `ContainerShape`, `CurvedConnection`, `Diagram`, `Ellipse`, `FixPointAnchor`, `FreeFormConnection`, `GraphicsAlgorithm`, `Image`, `ManhattanConnection`, `MultiText`, `PictogramElement`, `PlatformGraphicsAlgorithm`, `Polygon`, `Polyline`, `Rectangle`, `RoundedRectangle`, `Shape`, `Text`

All Known Implementing Classes:
  `AbstractTextImpl`, `AdvancedAnchorImpl`, `AnchorContainerImpl`, `AnchorImpl`, `BoxRelativeAnchorImpl`, `ChopboxAnchorImpl`, `CompositeConnectionImpl`, `ConnectionDecoratorImpl`, `ConnectionImpl`, `ContainerShapeImpl`, `CurvedConnectionImpl`, `DiagramImpl`, `EllipseImpl`, `FixPointAnchorImpl`, `FreeFormConnectionImpl`, `GraphicsAlgorithmContainerImpl`, `GraphicsAlgorithmImpl`, `ImageImpl`, `ManhattanConnectionImpl`, `MultiTextImpl`, `PictogramElementImpl`, `PlatformGraphicsAlgorithmImpl`, `PolygonImpl`, `PolylineImpl`, `RectangleImpl`, `RoundedRectangleImpl`, `ShapeImpl`, `TextImpl`

public interface GraphicsAlgorithmContainer extends PropertyContainer
A representation of the model object 'Graphics Algorithm Container'.

See Also:
  - `MmPackage.getGraphicsAlgorithmContainer()`

## Method Summary

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`